import { h } from 'vue';
import { ElAvatar, ElTag } from 'element-plus';

export const columns = [
  {
    type: 'selection',
  },
  {
    label: 'ID',
    prop: 'id',
    width: 100,
  },
  {
    label: '位置描述',
    prop: 'description',
    width: 250,
    render(record) {
      return record.row.description + ">>" + record.row.location;
    },
  },
  {
    label: '推荐类型',
    prop: 'typeText',
  },
  {
    label: '推荐ID',
    prop: 'typeId',
  },
  {
    label: '推荐图片',
    prop: 'image',
    render(record) {
      return h(ElAvatar, {
        size: 48,
        src: record.row.image,
        shape: 'square',
        fit: 'fill',
      });
    },
    width: 120,
  },
  {
    label: '推荐标题',
    prop: 'typeTitle',
    width: 200,
  },
  {
    label: '排序',
    prop: 'sort',
  },
  {
    label: '创建人',
    prop: 'createUser',
  },
  {
    label: '创建时间',
    prop: 'createTime',
    width: 180,
  },
];
