import { h } from 'vue';
import { ElAvatar, ElTag } from 'element-plus';

export const columns = [
  {
    type: 'selection',
    width: 55,
  },
  {
    label: 'id',
    prop: 'id',
    // width: 100,
  },
  {
    label: '名称',
    prop: 'name',
    // width: 100,
  },
  {
    label: '头像',
    prop: 'avatar',
    // width: 100,
    render(record) {
      return h(ElAvatar, {
        size: 48,
        src: record.row.avatar,
        shape: 'square',
        fit: 'fill',
      });
    },
  },
  {
    label: '地址',
    prop: 'address',
    auth: ['basic_list'], // 同时根据权限控制是否显示
    // width: 150,
    ifShow: (_column) => {
      return true; // 根据业务控制是否显示
    },
  },
  {
    label: '开始日期',
    prop: 'beginTime',
    width: 160,
  },
  {
    label: '结束日期',
    prop: 'endTime',
    width: 160,
  },
  {
    label: '状态',
    prop: 'status',
    // width: 100,
    render(record) {
      return h(
        ElTag,
        {
          type: record.row.status ? 'success' : 'danger',
        },
        {
          default: () => (record.row.status ? '启用' : '禁用'),
        },
      );
    },
  },
  {
    label: '创建时间',
    prop: 'date',
    width: 100,
  },
];
